Subject: Re: bug#13602: 24.3.50; remove bindings for `icomplete-minibuffer-map' - make a separate mode

From: Juri Linkov <[email-masked]>
Date: Thu, 07 Feb 2013 01:45:55 +0200

>>> I for one just disabled `icomplete-mode' in ~/.emacs when it got
>>> added ido keybindings, waiting in the hope that someone will implement
>>> `icomplete-mode-without-ido-keybindings' :-)
>> (setq icomplete-minibuffer-map (make-sparse-keymap))
>> should do it.
>
> BTW, which of those keybindings do you find inconvenient?

`C-r' like in bash is useful to search for previous input in the history.
This is especially useful for frequently used long command names
for which it's difficult to find the shortest completion alias and
remember it, e.g. for the command `gnus-read-ephemeral-emacs-bug-group'
re-invoking it from the history is easy with just `M-x C-r gn RET RET'.

Another frequently used case is using `C-s C-w C-w' to put the completed
string into the search ring, exit Isearch, exit the minibuffer and
search the same string from the ring in another buffer with `C-s C-s'.